        echo off
        cls

        echo LOCAL.BAT
        echo ---------

rem  -------------------------------------------------------------------
rem     LOCAL.BAT - Sets up the environment for using the build system.
rem
rem     Author:  g.p. "Jerry" Honeycutt Jr.
rem     Date:  2 October 1990
rem
rem     DESCRIPTON
rem
rem       LOCAL.BAT initializes this user's environment for use with
rem       the product build system.  It sets the environment variables
rem       that are required by the Make files.
rem
rem       Each of the variables found below should be customized to
rem       your environment.  In addition, there is a section for
rem       individual use to set items such as PATH, INCLUDE, LIB, etc.        
rem     
rem     MODIFICATION HISTORY
rem
rem       gjph - 10/02/90:  Initial revision.       
rem  -------------------------------------------------------------------

        rem  -----------------------------------------------------------
        rem  INDIVIDUAL AREA - for customize to your environment.
        rem  -----------------------------------------------------------

        echo -- Establishing customized environment...

        copy L:\POLYTRON\MAKE.EXE J:\ >NUL
        set  PATH=J:\;F:\MSC\BIN;F:\MSC\BND;%PATH%;
        set  INCLUDE=F:\MSC\INCLUDE;
        set  LIB=F:\MSC\LIB

        rem  -----------------------------------------------------------
        rem  BUILD ENVIRONMENT - variables used by make files,
        rem                      ALL PATHS MUST NOT END WITH '\'.
        rem  -----------------------------------------------------------

        echo -- Setting build environment...

        set THIS_PRODUCT   = Example 
        set BASELINE       = F:\EXAMPLE
        set LOCAL          = F:\LOCAL

        set SYSTEM_AREA    = %BASELINE%\SYSTEM
        set DISK_SET       = %BASELINE%\BINARY
        set LOCK_SET       = %SYSTEM_AREA%\LOCKS

        set RULE_LIST      = %SYSTEM_AREA%\RULE.MAK
        set DEPEND_LIST    = %SYSTEM_AREA%\OTHER\MODULE.DEP
        set MODULE_LIST    = %SYSTEM_AREA%\OTHER\MODULE.LOK
        set DISK_LIST      = %SYSTEM_AREA%\OTHER\DISK.LOK
        set OFFSET_SOURCE  = SOURCE
        set OFFSET_TARGET  = OBJECT

        set LOG_BUILD      = %LOCAL%\BUILD.LOG
        set LOG_ERROR      = %LOCAL%\ERROR.LOG

        rem  -----------------------------------------------------------
        rem  Set the current directory for the BASELINE and LOCAL code.
        rem  -----------------------------------------------------------

        echo -- Setting current directories...
        cd %BASELINE%
        cd %LOCAL%        

rem --------------------------------------------------------------------
rem     End LOCAL.BAT
rem --------------------------------------------------------------------

        set LOCAL.BAT=TRUE           
        cls
        echo LOCAL.BAT is finished
        echo ---------------------
