########################################################################
#  RULE.MAK - RULEFILE contain the general rules for building files.   #
#                                                                      #
#  Author:  g.p. "Jerry" Honeycutt Jr.                                 #
#    Date:  2 October 1990                                             #
#                                                                      #
#  DESCRIPTION                                                         #
#                                                                      #
#    RULE.MAK is an individually specified file that gives the         #
#    general rules for buliding each type of file.  This file is       #
#    a simple case, only specifying C->OBJ, OBJ->EXE, and TXT->DOC.    #
#                                                                      #
#    Notice that all of the functions redirect their output to the     #
#    error log file.                                                   #
#                                                                      #
#  MODIFICATION HISTORY                                                #
#                                                                      #
#    gjph - 10/02/90:  Initial revision                                #
########################################################################

########################################################################
#  MAKEFILE directives                                                 #
########################################################################

.MEMSWAP                #  Memory swapping, we use alot of memory.
.IGNORE                 #  Build over errors.
.SILENT                 #  Don't echo commands.        
.SUFFIXES               #  Disable internal rules.

########################################################################
#  FLAGS for tools.                                                    #
########################################################################

BFLAGS =
CFLAGS = -c -FPi87
LFLAGS =

########################################################################
#  TXT to DOC                                                          #
########################################################################

.tc.txt :
        copy $** $@ >>$(LOG_ERROR)
        %if %status != 0
                echo **** Error in $@ >>$(LOG_BUILD)
        %else
                echo ----  $@ >>$(LOG_BUILD)
        %endif
        echo ------------------------------------------------------------------------ >>$(LOG_ERROR)

.txt.doc :
        copy $< $@ >>$(LOG_ERROR)
        %if %status != 0
                echo **** Error in $@ >>$(LOG_BUILD)
        %else
                echo ----  $@ >>$(LOG_BUILD)
        %endif
        echo ------------------------------------------------------------------------ >>$(LOG_ERROR)

########################################################################
#  OBJ to EXE                                                          #
########################################################################

.obj.exe :
	rse link $(LFLAGS) <@<
$[s,"+ \n",$[m,*.OBJ,$**]]
$*

$[s,"+ \n",$[m,*.LIB,$**]];

< >>$(LOG_ERROR)
        %if %status != 0
                echo **** Error in $@ >>$(LOG_BUILD)
        %else
                echo ----  $@ >>$(LOG_BUILD)
        %endif
        echo ------------------------------------------------------------------------ >>$(LOG_ERROR)

########################################################################
#  OBJ to LIB                                                          #
########################################################################

.obj.lib :
        del $@ >>$(LOG_ERROR)
	rse lib $(BFLAGS) <@<
$@
y
+$[s,"&\n+",$[m,*.OBJ,$**]]
;
< >>$(LOG_ERROR)
        %if %status != 0
                echo **** Error in $@ >>$(LOG_BUILD)
        %else
                echo ----  $@ >>$(LOG_BUILD)
        %endif
        echo ------------------------------------------------------------------------ >>$(LOG_ERROR)

########################################################################
#  C to OBJ                                                            #
########################################################################

.c.obj :
	rse cl $(CFLAGS) -Fo$@ $< >>$(LOG_ERROR)
        %if %status != 0
                echo **** Error in $@ >>$(LOG_BUILD)
        %else
                echo ----  $@ >>$(LOG_BUILD)
        %endif
        echo ------------------------------------------------------------------------ >>$(LOG_ERROR)

########################################################################
#  End RULE.MAK                                                        #
########################################################################
